curl --request POST \
--url https://api.messaging.phonovation.com/subscriptions/1/profiles \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "NOTIF-32395",
"webhook": {
"notifyUrl": "https://www.example.com/pushme"
},
"security": {
"authId": "NEWAUTH-9291",
"type": "BASIC",
"credentials": {
"username": "user1",
"password": "password1"
}
},
"clientCertificateId": "MYCERT-1337",
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": [
"TLSv1.3",
"TLSv1.2"
],
"headers": {
"X-Important-Header": "Important Value"
},
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}
'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/profiles"
payload = {
"profileId": "NOTIF-32395",
"webhook": { "notifyUrl": "https://www.example.com/pushme" },
"security": {
"authId": "NEWAUTH-9291",
"type": "BASIC",
"credentials": {
"username": "user1",
"password": "password1"
}
},
"clientCertificateId": "MYCERT-1337",
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": ["TLSv1.3", "TLSv1.2"],
"headers": { "X-Important-Header": "Important Value" },
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/profiles");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"profileId\": \"NOTIF-32395\",\n \"webhook\": {\n \"notifyUrl\": \"https://www.example.com/pushme\"\n },\n \"security\": {\n \"authId\": \"NEWAUTH-9291\",\n \"type\": \"BASIC\",\n \"credentials\": {\n \"username\": \"user1\",\n \"password\": \"password1\"\n }\n },\n \"clientCertificateId\": \"MYCERT-1337\",\n \"maxBucketSize\": 1,\n \"windowSize\": 20,\n \"connectTimeout\": 10000,\n \"readTimeout\": 10000,\n \"enabledSSLProtocols\": [\n \"TLSv1.3\",\n \"TLSv1.2\"\n ],\n \"headers\": {\n \"X-Important-Header\": \"Important Value\"\n },\n \"responseRegex\": \"[1-9][0-9]\",\n \"responseBodyRegex\": \"[1-9][0-9]\",\n \"rateLimit\": 5000\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/subscriptions/1/profiles")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"profileId\": \"NOTIF-32395\",\n \"webhook\": {\n \"notifyUrl\": \"https://www.example.com/pushme\"\n },\n \"security\": {\n \"authId\": \"NEWAUTH-9291\",\n \"type\": \"BASIC\",\n \"credentials\": {\n \"username\": \"user1\",\n \"password\": \"password1\"\n }\n },\n \"clientCertificateId\": \"MYCERT-1337\",\n \"maxBucketSize\": 1,\n \"windowSize\": 20,\n \"connectTimeout\": 10000,\n \"readTimeout\": 10000,\n \"enabledSSLProtocols\": [\n \"TLSv1.3\",\n \"TLSv1.2\"\n ],\n \"headers\": {\n \"X-Important-Header\": \"Important Value\"\n },\n \"responseRegex\": \"[1-9][0-9]\",\n \"responseBodyRegex\": \"[1-9][0-9]\",\n \"rateLimit\": 5000\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'profileId' => 'NOTIF-32395',
'webhook' => [
'notifyUrl' => 'https://www.example.com/pushme'
],
'security' => [
'authId' => 'NEWAUTH-9291',
'type' => 'BASIC',
'credentials' => [
'username' => 'user1',
'password' => 'password1'
]
],
'clientCertificateId' => 'MYCERT-1337',
'maxBucketSize' => 1,
'windowSize' => 20,
'connectTimeout' => 10000,
'readTimeout' => 10000,
'enabledSSLProtocols' => [
'TLSv1.3',
'TLSv1.2'
],
'headers' => [
'X-Important-Header' => 'Important Value'
],
'responseRegex' => '[1-9][0-9]',
'responseBodyRegex' => '[1-9][0-9]',
'rateLimit' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileId: 'NOTIF-32395',
webhook: {notifyUrl: 'https://www.example.com/pushme'},
security: {
authId: 'NEWAUTH-9291',
type: 'BASIC',
credentials: {username: 'user1', password: 'password1'}
},
clientCertificateId: 'MYCERT-1337',
maxBucketSize: 1,
windowSize: 20,
connectTimeout: 10000,
readTimeout: 10000,
enabledSSLProtocols: ['TLSv1.3', 'TLSv1.2'],
headers: {'X-Important-Header': 'Important Value'},
responseRegex: '[1-9][0-9]',
responseBodyRegex: '[1-9][0-9]',
rateLimit: 5000
})
};
fetch('https://api.messaging.phonovation.com/subscriptions/1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"profileId": "<string>",
"security": {
"authId": "<string>"
}
}Create notification profile
This method will create a new notification profile. You can provide an ID of existing security settings if you wish to reuse them or submit full definition, if you want to create a new one.
Required scope: Enable one of: subscriptions:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/subscriptions/1/profiles \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "NOTIF-32395",
"webhook": {
"notifyUrl": "https://www.example.com/pushme"
},
"security": {
"authId": "NEWAUTH-9291",
"type": "BASIC",
"credentials": {
"username": "user1",
"password": "password1"
}
},
"clientCertificateId": "MYCERT-1337",
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": [
"TLSv1.3",
"TLSv1.2"
],
"headers": {
"X-Important-Header": "Important Value"
},
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}
'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/profiles"
payload = {
"profileId": "NOTIF-32395",
"webhook": { "notifyUrl": "https://www.example.com/pushme" },
"security": {
"authId": "NEWAUTH-9291",
"type": "BASIC",
"credentials": {
"username": "user1",
"password": "password1"
}
},
"clientCertificateId": "MYCERT-1337",
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": ["TLSv1.3", "TLSv1.2"],
"headers": { "X-Important-Header": "Important Value" },
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/profiles");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"profileId\": \"NOTIF-32395\",\n \"webhook\": {\n \"notifyUrl\": \"https://www.example.com/pushme\"\n },\n \"security\": {\n \"authId\": \"NEWAUTH-9291\",\n \"type\": \"BASIC\",\n \"credentials\": {\n \"username\": \"user1\",\n \"password\": \"password1\"\n }\n },\n \"clientCertificateId\": \"MYCERT-1337\",\n \"maxBucketSize\": 1,\n \"windowSize\": 20,\n \"connectTimeout\": 10000,\n \"readTimeout\": 10000,\n \"enabledSSLProtocols\": [\n \"TLSv1.3\",\n \"TLSv1.2\"\n ],\n \"headers\": {\n \"X-Important-Header\": \"Important Value\"\n },\n \"responseRegex\": \"[1-9][0-9]\",\n \"responseBodyRegex\": \"[1-9][0-9]\",\n \"rateLimit\": 5000\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/subscriptions/1/profiles")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"profileId\": \"NOTIF-32395\",\n \"webhook\": {\n \"notifyUrl\": \"https://www.example.com/pushme\"\n },\n \"security\": {\n \"authId\": \"NEWAUTH-9291\",\n \"type\": \"BASIC\",\n \"credentials\": {\n \"username\": \"user1\",\n \"password\": \"password1\"\n }\n },\n \"clientCertificateId\": \"MYCERT-1337\",\n \"maxBucketSize\": 1,\n \"windowSize\": 20,\n \"connectTimeout\": 10000,\n \"readTimeout\": 10000,\n \"enabledSSLProtocols\": [\n \"TLSv1.3\",\n \"TLSv1.2\"\n ],\n \"headers\": {\n \"X-Important-Header\": \"Important Value\"\n },\n \"responseRegex\": \"[1-9][0-9]\",\n \"responseBodyRegex\": \"[1-9][0-9]\",\n \"rateLimit\": 5000\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'profileId' => 'NOTIF-32395',
'webhook' => [
'notifyUrl' => 'https://www.example.com/pushme'
],
'security' => [
'authId' => 'NEWAUTH-9291',
'type' => 'BASIC',
'credentials' => [
'username' => 'user1',
'password' => 'password1'
]
],
'clientCertificateId' => 'MYCERT-1337',
'maxBucketSize' => 1,
'windowSize' => 20,
'connectTimeout' => 10000,
'readTimeout' => 10000,
'enabledSSLProtocols' => [
'TLSv1.3',
'TLSv1.2'
],
'headers' => [
'X-Important-Header' => 'Important Value'
],
'responseRegex' => '[1-9][0-9]',
'responseBodyRegex' => '[1-9][0-9]',
'rateLimit' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileId: 'NOTIF-32395',
webhook: {notifyUrl: 'https://www.example.com/pushme'},
security: {
authId: 'NEWAUTH-9291',
type: 'BASIC',
credentials: {username: 'user1', password: 'password1'}
},
clientCertificateId: 'MYCERT-1337',
maxBucketSize: 1,
windowSize: 20,
connectTimeout: 10000,
readTimeout: 10000,
enabledSSLProtocols: ['TLSv1.3', 'TLSv1.2'],
headers: {'X-Important-Header': 'Important Value'},
responseRegex: '[1-9][0-9]',
responseBodyRegex: '[1-9][0-9]',
rateLimit: 5000
})
};
fetch('https://api.messaging.phonovation.com/subscriptions/1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"profileId": "<string>",
"security": {
"authId": "<string>"
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Body
Notification profile object holding the settings for your webhook URL and a reference to security settings. You can provide full definition of a notification profile and security settings if you want to create new items, or provide an ID of an existing profile to reuse it. If you want to reuse an existing profile, do not provide any other notification profile and security settings properties.
ID of a notification profile. This identifier will be used as part of a URL path and must not include any characters that require URL encoding. You cannot change the ID once an item is created.
1 - 255Webhook configuration.
Show child attributes
Show child attributes
Security settings object holding the authentication settings necessary to access your webhook. Should only be provided if you are creating a new profile and settings; otherwise it will be ignored.
Show child attributes
Show child attributes
Client certificate ID.
255^[a-zA-Z0-9._-]+$Specifies a maximum number of messages to be sent within a single request.
1 <= x <= 2000A maximum number of concurrent connections (active requests) per client.
20 <= x <= 10000Time in milliseconds sender system waits for connection acknowledgement until the connection is closed.
300 <= x <= 30000A maximum period of inactivity in milliseconds between two consecutive data packets.
1000 <= x <= 90000Specifies which security protocols should be used to send a HTTP request. Multiple options can be used.
Specifies which security protocols should be used to send a HTTP request. Multiple options can be used.
TLSv1.2, TLSv1.3 Set of key:value pairs that will be sent in a HTTP request as headers.Note: 'Authorization' header (if configured here for any reason) can be overridden with one from security config.
Show child attributes
Show child attributes
Response regex.
Response body regex.
Limits the number of requests per second.
1 <= x <= 5000